/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function authUser(
  params,
  options,
) {
  return request('/admin/auth/user', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function authPermission(
  params,
  options,
) {
  return request('/admin/auth/permission', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function authLogin(
  body,
  options,
) {
  return request('/admin/auth/login', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
